:root {
  --primary-color: #00ed64; /* Soft Forest Green */
  --secondary-color: #21313c; /* Light Gold */
  --accent-color: #7d8b5a; /* Soft Olive Green */
  --background-color: #061621;
  --second-background-color: #001e2b;
  --border-color: #3b4e56; /* Dark Charcoal */
  --second-border-color: #3d4f58; /* Dark Charcoal */
  --text-color: #b8c4b9; /* Beige */
  --second-text-color: #001e45; /* Beige */
}

html {
  scroll-behavior: smooth;
}
body {
  padding: 0;
  margin: 0%;
  box-sizing: border-box;
}

.sections1 {
  height: auto;
}

.blogArea {
  margin-top: 12vh;
  color: var(--primary-color);
  position: relative;
  display: flex;
  width: 50%;
  flex-direction: column;
  gap: 2vh;
}

.blogHeadTitle {
  height: 5vh;
  width: 50svw;
  overflow: hidden;

  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
}

.blogHeadTitle h1 {
  color: var(--primary-color);
}
.searchBtn {
  height: 100%;
  padding: 1vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--secondary-color);
}
.searchBtn i {
  color: white;
  font-size: 1.5rem;
  font-weight: 600;
}
.blogSearchBar {
  height: 5vh;
  width: 99%;
  overflow: hidden;
  justify-content: space-around;
  display: flex;
  flex-direction: row;
}

.searchField {
  width: 70%;
  height: 80%;
  border: 1px solid var(--primary-color);
  border-radius: 5vh;
  overflow: hidden;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}
.searchField input {
  height: 100%;
  width: 100%;
  outline: none;
  background: var(--secondary-color);
  border: none;
  font-size: 1.2rem;
  color: var(--text-color);
  padding-left: 2vh;
}

.secondSearch {
  /* display: none; */
}

.latestBlogBox {
  height: auto;
  width: 50%;
  overflow: hidden;
  border: 2px solid red;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.allBlogBox {
  height: auto;
  width: 100%;
  overflow: hidden;
  align-items: center;
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.LatestblogsContainer {
  padding: 3vh;
  height: auto;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 2vh;
  padding: 2vh;
}

.LatestblogBox {
  height: 15vh;
  width: 90%;
  display: flex;
  flex-direction: row;
  gap: 1vh;
  align-items: center;
  justify-content: center;
  background: var(--secondary-color);
  transition: 0.3s ease-in-out;
  border-radius: 1vh;
}

.LatestblogBox:hover {
  gap: 2vh;
  height: 15.01vh;
  width: 90.01%;
  border: 1px solid var(--primary-color);
}

.LatestblogImg {
  width: 40%;

  height: 100%;
  position: relative;
  overflow: hidden;
  object-fit: cover;
}

.LatestimgPostBox {
  height: 100%;
  width: 100%;
}

.LatestimgPost {
  height: 100%;
  width: 100%;
}

.LatestmaskBox {
  position: absolute;
  height: 100%;
  width: 100%;
  z-index: 2;
  top: 0;
  left: 0;
  display: flex;
}

.LatestblogTextBox {
  width: 70%;
  padding: 0.5vh;
}
.LatestblogTextBox h3 {
  font-size: 1.1rem;
}
.LatestblogTextBox p {
  color: var(--text-color);
  font-size: 0.9rem;
}

@media (min-width: 100px) and (max-width: 700px) {
  .blogArea {
    margin-top: 12vh;
    color: var(--primary-color);
    position: relative;
    display: flex;
    flex-direction: column;
    
  width: 100%;
  
    gap: 2vh;
  }

  .blogHeadTitle {
    height: 5vh;
    width: 99vw;
    overflow: hidden;

    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
  }

  .blogHeadTitle h1 {
    color: var(--primary-color);
  }
  .searchBtn {
    height: 100%;
    padding: 1vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--secondary-color);
  }
  .searchBtn i {
    color: white;
    font-size: 1.5rem;
    font-weight: 600;
  }
  .blogSearchBar {
    height: 5vh;
    width: 99%;
    overflow: hidden;
    justify-content: space-around;
    display: flex;
    flex-direction: row;
  }

  .searchField {
    width: 70%;
    height: 80%;
    border: 1px solid var(--primary-color);
    border-radius: 5vh;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }
  .searchField input {
    height: 100%;
    width: 100%;
    outline: none;
    background: var(--secondary-color);
    border: none;
    font-size: 1.2rem;
    color: var(--text-color);
    padding-left: 2vh;
  }

  .secondSearch {
    /* display: none; */
  }

  .latestBlogBox {
    height: auto;
    width: 99%;
    overflow: hidden;
    border: 2px solid red;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
  }

  .allBlogBox {
    height: auto;
    width: 100%;
    overflow: hidden;
    align-items: center;
    display: flex;
    flex-direction: row;
    justify-content: center;
  }

  .LatestblogsContainer {
    padding: 3vh;
    height: auto;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 2vh;
    padding: 2vh;
  }

  .LatestblogBox {
    height: 15vh;
    width: 90%;
    display: flex;
    flex-direction: row;
    gap: 1vh;
    align-items: center;
    justify-content: center;
    background: var(--secondary-color);
    transition: 0.3s ease-in-out;
    border-radius: 1vh;
  }

  .LatestblogBox:hover {
    gap: 2vh;
    height: 15.01vh;
    width: 90.01%;
    border: 1px solid var(--primary-color);
  }

  .LatestblogImg {
    width: 40%;

    height: 100%;
    position: relative;
    overflow: hidden;
    object-fit: cover;
  }

  .LatestimgPostBox {
    height: 100%;
    width: 100%;
  }

  .LatestimgPost {
    height: 100%;
    width: 100%;
  }

  .LatestmaskBox {
    position: absolute;
    height: 100%;
    width: 100%;
    z-index: 2;
    top: 0;
    left: 0;
    display: flex;
  }

  .LatestblogTextBox {
    width: 70%;
    padding: 0.5vh;
  }
  .LatestblogTextBox h3 {
    font-size: 1.1rem;
  }
  .LatestblogTextBox p {
    color: var(--text-color);
    font-size: 0.9rem;
  }
}
